Subject: [alpine-devel] status report of v2.0 - testers needed

From: Natanael Copa <[email-masked]>
Date: Fri, 16 Jul 2010 15:09:31 +0200

Hi,

So we are getting closer 2.0. We need people start test it.

Here is what I have done so far (latest weeks):

* auto releases from git tags. create a git tag and have buildozer
autocreate the release.
* alpine-2.0.0_beta2 was released but not announced. This was mostly
to test the auto-release feature mentioned above.
* updated the -dev packages to include the .so symlink. This caused
almost all -dev packages to require arebuild (see #384). This will
also cause errors on upgrade like #383. The proper fix for that would
be to add a 'replaces' in each -dev package. I didn't do so, so we
have to live with it.
* updated bunch of packages and created some of the requested ones.
* created a symlink on download mirrors: v2.0 -> edge

What is left to do is listed on
http://redmine.alpinelinux.org/projects/alpine/roadmap
I might move some of the things over to v2.1.

When the v2.0 is released, there will be no 'testing' repo. So the
things that you might be interested to be included in 2.0 release must
be tested and given feedback on so it can be moved to main - or it wil
be deleted for the 2.0 release.

Thanks!

-- 
Natanael Copa

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---